# Generated from peoplegroup-connectors-0.1.71.gem by gem2rpm -*- rpm-spec -*-
%global gem_name peoplegroup-connectors

Name: rubygem-%{gem_name}
Version: 0.1.71
Release: 1%{?dist}
Summary: Library for our shared connectors
License: MIT
URL: https://gitlab.com/gitlab-com/people-group/peopleops-eng/connectors-gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(rspec) >= 3.2
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.91.1
# BuildRequires: rubygem(rubocop) < 0.92
# BuildRequires: rubygem(gitlab-styles) >= 6.0
# BuildRequires: rubygem(gitlab-styles) < 7
# BuildRequires: rubygem(rubocop-packaging) >= 0.1
# BuildRequires: rubygem(rubocop-packaging) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 1.39
# BuildRequires: rubygem(rubocop-rspec) < 2
BuildArch: noarch

%description
Avoid repeating methods in different projects for our connectos.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.71-1
- Initial package
